Bug 447730 (Don) - cannot run system-config-network of setup (disable NetworkManger service)
Summary: cannot run system-config-network of setup (disable NetworkManger service)
Keywords:
Status: CLOSED WONTFIX
Alias: Don
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-21 13:40 UTC by don
Modified: 2009-07-14 15:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:23:27 UTC


Attachments (Terms of Use)
text file (1.66 KB, application/octet-stream)
2008-05-21 13:40 UTC, don
no flags Details

Description don 2008-05-21 13:40:51 UTC
omponent: system-config-network
Version: 1.5.7
Summary: TB1fe5f821 genClass.py:401:_objToStr:UnicodeDecodeError: 'ascii' codec
can't decode byte 0xe7 in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 281, in <module>
    loadConfig(screen)
  File "/usr/sbin/system-config-network-tui", line 137, in loadConfig
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
486, in updateFromSystem
    log.log(5, str(self))
  File "/usr/share/system-config-network/netconfpkg/genClass.py", line 552, in
__str__
    return GenClass.__str__(self)
  File "/usr/share/system-config-network/netconfpkg/genClass.py", line 176, in
__str__
    return self._objToStr(parentStr)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
565, in _objToStr
    dev.Name))
  File "/usr/share/system-config-network/netconfpkg/genClass.py", line 401, in
_objToStr
    retstr += "%s.%s=%s\n" % (parentStr, child, str(val))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe7 in position 0: ordinal
not in range(128)

Local variables in innermost frame:
attr: {'FLAGS': [], 'TYPE': 'STRING', 'NAME': 'Status'}
val: system
self: Hardware.Status=system
Hardware.Name=eth0
Hardware.Type=Ethernet
Hardware.Card.ModuleName=sis900
Hardware.Description=Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet

retstr: 
child: Status

Comment 1 don 2008-05-21 13:40:51 UTC
Created attachment 306249 [details]
text file

Comment 2 Phil Knirsch 2008-05-21 15:27:41 UTC
Reassigning to system-config-network.

Read ya, Phil

Comment 3 Yanko Kaneti 2008-05-31 13:56:26 UTC
Looks like a dupe of 446867 which in turn is perhaps the same as 443088

Comment 4 Bug Zapper 2009-06-10 01:03:50 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:23:27 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.